Package wx :: Module aui :: Class AuiMDIParentFrame

[frames | no frames]

## Type AuiMDIParentFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                AuiMDIParentFrame

Proxy of C++ AuiMDIParentFrame class

Method Summary
AuiMDIParentFrame | `__init__(self, parent, winid, title, pos, size, style, name)`
| `ActivateNext(self)`
| `ActivatePrevious(self)`
| `ArrangeIcons(self)`
| `Cascade(self)`
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
AuiMDIChildFrame | `GetActiveChild(self)`
AuiTabArt | `GetArtProvider(self)`
AuiMDIClientWindow | `GetClientWindow(self)`
AuiNotebook | `GetNotebook(self)`
Menu | `GetWindowMenu(self)`
AuiMDIClientWindow | `OnCreateClient(self)`
bool | `ProcessEvent(self, event)`
| `SetActiveChild(self, pChildFrame)`
| `SetArtProvider(self, provider)`
| `SetChildMenuBar(self, pChild)`
| `SetWindowMenu(self, pMenu)`
| `Tile(self, orient)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent, winid, title, pos=DefaultPosition, size=DefaultSize, style=wxDEFAULT_FRAME_STYLE|wxVSCROLL|wxHSCROLL, name=wxFrameNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Frame.Create` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1216201340(...)
  Set Method:
    unknown--1216201284(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:53 2007 | http://epydoc.sf.net